## Name

gl_NumWorkGroups — contains the number of workgroups that have been dispatched to a compute shader

## Declaration

`in uvec3 gl_NumWorkGroups ;`

## Description

In the compute language, `gl_NumWorkGroups` contains the total number of work groups that will execute the compute shader. The components of `gl_NumWorkGroups` are equal to the `num_groups_x`, `num_groups_y`, and `num_groups_z` parameters passed to the `glDispatchCompute` command.

## Version Support

| OpenGL Shading Language Version
--- | ---
Variable Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
gl_NumWorkGroups | - | - | - | - | - | - | - | - | - | ✔ | ✔ | ✔

## See Also

gl_WorkGroupSize, gl_WorkGroupID, gl_LocalInvocationID

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.